import java.awt.image.*;
import java.awt.*;
import java.applet.*;

public class FiltraImmagine extends RGBImageFilter {
     public FiltraImmagine() {
          canFilterIndexColorModel = true;
     }

     public Image filter(Applet a, Image in) {
         return a.createImage(new FilteredImageSource(in.getSource(),this));
     }
 
     public int filterRGB(int x, int y, int rgb) {
         int r = ((rgb >> 16) & 0xff)/4;    // estra la componente rossa
         int g = ((rgb >> 8) & 0xff)/4;  // verde
         int b = (rgb & 0xff)/4;   // blu
         int k = (int)(.56*g+.33*r+.11*b);
                           
         return (0xff000000 | k << 16 | k << 8 | k);
         //return rgb;
     }
}

