/**
 * @author Ing. Alessandro Campi 
 */

public class Rettangolo {
    int pezziVisitati=0;
    int totalePezzi=0;
    //vertici
    //in alto a sinistra
    public int x1;
    public int y1;
    //in basso a destra
    public int x2;
    public int y2;
    
    public int x1RealeNormale;
    public int y1RealeNormale;
    public int x1RealeScuro;
    public int y1RealeScuro;
            
    public int w;
    public int h;
    
    public int saltoNormaleX;
    public int saltoNormaleY;
    public int saltoNormaleDirettoX;
    public int saltoNormaleDirettoY;
    public int saltoScuroX;
    public int saltoScuroY;
    
    /** Creates new Rettangolo */
    public Rettangolo(int ix1,int iy1,int ix2,int iy2,int xSfondoLivelloNormale,int ySfondoLivelloNormale,int xSfondoLivelloScuro,int ySfondoLivelloScuro,int xBackground,int yBackground) 
    {
        x1=ix1;
        y1=iy1;
        x2=ix2;
        y2=iy2;        
    
        x1RealeNormale=xSfondoLivelloNormale+x1*InseguitoreConst.MAP_CELL_DIMENSION-InseguitoreConst.MAP_CELL_DIMENSION/2+1;
        y1RealeNormale=ySfondoLivelloNormale+y1*InseguitoreConst.MAP_CELL_DIMENSION-InseguitoreConst.MAP_CELL_DIMENSION/2+1;
        x1RealeScuro=xSfondoLivelloScuro+x1*InseguitoreConst.MAP_CELL_DIMENSION-InseguitoreConst.MAP_CELL_DIMENSION/2+1;
        y1RealeScuro=ySfondoLivelloScuro+y1*InseguitoreConst.MAP_CELL_DIMENSION-InseguitoreConst.MAP_CELL_DIMENSION/2+1;
        
        w=(x2-x1)*InseguitoreConst.MAP_CELL_DIMENSION-1;
        h=(y2-y1)*InseguitoreConst.MAP_CELL_DIMENSION-1;
        
        saltoNormaleX=InseguitoreConst.OFFSET_X-xSfondoLivelloNormale+xBackground+InseguitoreConst.MAP_CELL_DIMENSION;
        saltoNormaleY=InseguitoreConst.OFFSET_Y-ySfondoLivelloNormale+yBackground+InseguitoreConst.MAP_CELL_DIMENSION;    
        saltoNormaleDirettoX=InseguitoreConst.OFFSET_X-xSfondoLivelloNormale+InseguitoreConst.MAP_CELL_DIMENSION;
        saltoNormaleDirettoY=InseguitoreConst.OFFSET_Y-ySfondoLivelloNormale+InseguitoreConst.MAP_CELL_DIMENSION;    
        saltoScuroX=InseguitoreConst.OFFSET_X-xSfondoLivelloScuro+xBackground+InseguitoreConst.MAP_CELL_DIMENSION;
        saltoScuroY=InseguitoreConst.OFFSET_Y-ySfondoLivelloScuro+yBackground+InseguitoreConst.MAP_CELL_DIMENSION;    
    }
    
    public boolean isIn(int x,int y)
    {
        return (x>=x1&&x<=x2&&y>=y1&&y<=y2);
    }    
    
    public void incrementaVisitati()
    {
        pezziVisitati++;
    }
    
    public void incrementaTotale()
    {
        totalePezzi++;
    }
    
    public boolean controllaCompleto()
    {
        return (pezziVisitati==totalePezzi);
    }
}
